* par-redefn-0.inc

DISPLAY "#### START: par-redefn-0.inc";    

WFAVG0(f,t)              = WFAVG.L(f,t);
EH0(h,t)                 = EH.L(h,t);
CPI0(t)                  = CPI.L(t);
DPI0(t)                  = DPI.L(t);
EG0(t)                   = EG.L(t);
EXR0(t)                  = EXR.L(t);
QF0(f,a,t)               = QF.L(f,a,t);
QFS0(f,t)                = QFS.L(f,t);
QGSCAL0(t)               = QGSCAL.L(t);
GDPMP0(t)                = GDPMP.L(t);
GOVRECGDP0(acgovrec,t)   = GOVRECGDP.L(acgovrec,t);
GOVSPNDGDP0(acgovspnd,t) = GOVSPNDGDP.L(acgovspnd,t); 
IADJ0(ins2,fcap,t)       = IADJ.L(ins2,fcap,t); 
DKA0(f,a,t)              = DKA.L(f,a,t);
INVVALG0(t)              = INVVALG.L(t);
MPS0(ins,t)              = MPS.L(ins,t);
MPSSCAL0(t)              = MPSSCAL.L(t);
PA0(a,t)                 = PA.L(a,t);
PDD0(c,t)                = PDD.L(c,t);
PDS0(c,t)                = PDS.L(c,t);
PE0(c,t)                 = PE.L(c,t);
PINTA0(a,t)              = PINTA.L(a,t);
PK0(fcap,t)              = PK.L(fcap,t);
PM0(c,t)                 = PM.L(c,t);
PQS0(c,t)                = PQS.L(c,t);
PVA0(a,t)                = PVA.L(a,t);
PEN0(a,t)                = PEN.L(a,t);
PKEN0(a,t)               = PKEN.L(a,t);
PLL0(a,t)                = PLL.L(a,t);
PX0(c,t)                 = PX.L(c,t);
QA0(a,t)                 = QA.L(a,t);
QD0(c,t)                 = QD.L(c,t);
QE0(c,t)                 = QE.L(c,t);
QG0(c,t)                 = QG.L(c,t);
QH0(c,h,t)               = QH.L(c,h,t);
QINT0(c,a,t)             = QINT.L(c,a,t);
QINTA0(a,t)              = QINTA.L(a,t);
QINV0(c,t)               = QINV.L(c,t);
QM0(c,t)                 = QM.L(c,t);
QQ0(c,t)                 = QQ.L(c,t);
QT0(c,t)                 = QT.L(c,t);
QVA0(a,t)                = QVA.L(a,t);
QEN0(a,t)                = QEN.L(a,t);
QKEN0(a,t)               = QKEN.L(a,t);
QLL0(a,t)                = QLL.L(a,t);
QX0(c,t)                 = QX.L(c,t);
REXR0(t)                 = REXR.L(t);
RGDPFC0(t)               = RGDPFC.L(t);
DKINS0(ins2,fcap,t)      = DKINS.L(ins2,fcap,t);
RSURPG0(t)               = RSURPG.L(t);
SURPG0(t)                = SURPG.L(t);
SAVINS0(insdng,t)        = SAVINS.L(insdng,t);
SAVF0(t)                 = SAVF.L(t);
TA0(a,t)                 = TA.L(a,t);
TE0(c,r,t)               = TE.L(c,r,t);
TF0(f,t)                 = TF.L(f,t);
TFACT0(f,a,t)            = TFACT.L(f,a,t);
TFP0(a,t)                = TFP.L(a,t);
TM0(c,r,t)               = TM.L(c,r,t);
TQ0(c,t)                 = TQ.L(c,t);
TRNSFR0(ac,ins,t)        = TRNSFR.L(ac,ins,t);
TRNSFRSCAL0(ac,t)        = TRNSFRSCAL.L(ac,t);
YTAXACT0(t)              = YTAXACT.L(t);
YTAXEXP0(taxexp,t)       = YTAXEXP.L(taxexp,t);
YTAXFAC0(t)              = YTAXFAC.L(t);
YTAXFACT0(taxfact,t)     = YTAXFACT.L(taxfact,t);
YTAXIMP0(taximp,t)       = YTAXIMP.L(taximp,t);
YTAXCOM0(t)              = YTAXCOM.L(t);
YTAXDIR0(t)              = YTAXDIR.L(t);
TY0(ins,t)               = TY.L(ins,t);
UERAT0(f,t)              = UERAT.L(f,t);
WF0(f,t)                 = WF.L(f,t);
WFDIST0(f,a,t)           = WFDIST.L(f,a,t); 
YF0(f,t)                 = YF.L(f,t);
YG0(t)                   = YG.L(t);
YI0(insdng,t)            = YI.L(insdng,t);
YIF0(ins,f,t)            = YIF.L(ins,f,t);
QHPC0(t)                 = QHPC.L(t);
PER0(c,r,t)              = PER.L(c,r,t);
PMR0(c,r,t)              = PMR.L(c,r,t);
PSTAR0(c,r,t)            = PSTAR.L(c,r,t);
PWER0(c,r,t)             = PWER.L(c,r,t);
PWMR0(c,r,t)             = PWMR.L(c,r,t);
QER0(c,r,t)              = QER.L(c,r,t);
QMR0(c,r,t)              = QMR.L(c,r,t);
FPRDA0(f,a,t)            = FPRDA.L(f,a,t);
PQD0(c,ac,t)             = PQD.L(c,ac,t);
TVAC0(c,ac,t)            = TVAC.L(c,ac,t);
SUBC0(c,ac,t)            = SUBC.L(c,ac,t);
YTAXVAC0(t)              = YTAXVAC.L(t);
SUBCT0(t)                = SUBCT.L(t);
IADJ20(ins2,t)           = IADJ2.L(ins2,t);
NGOVPAYGDP0(acngovpay,t) = NGOVPAYGDP.L(acngovpay,t);
QTRSTF0(c,instrst,t)     = QTRSTF.L(c,instrst,t);
RGDPMP0(t)               = RGDPMP.L(t);
SHIF0(ins,f,t)           = SHIF.L(ins,f,t); 
QFINS0(ins,f,t)          = QFINS.L(ins,f,t); 
EMI0(ghg,ac,acp,t)       = EMI.L(ghg,ac,acp,t);
NDFG0(t)                 = NDFG.L(t);                
RNDFG0(t)                = RNDFG.L(t);               
NFFG0(t)                 = NFFG.L(t);               
NFFNG0(t)               = NFFNG.L(t);         
NFFINSSCAL0(t)           = NFFINSSCAL.L(t);         
GBOR0(t)                 = GBOR.L(t);               
FBOR0(ins2,t)            = FBOR.L(ins2,t);          
GDEBT0(t)                = GDEBT.L(t);              
FDEBT0(ins2,t)            = FDEBT.L(ins2,t);          
CALTFPA0(a,t)            = CALTFPA.L(a,t);
PAREAL0(a,t)             = PAREAL.L(a,t); 
PQSREAL0(c,t)            = PQSREAL.L(c,t);
PDSREAL0(c,t)            = PDSREAL.L(c,t);
REGPA0(a,t)              = REGPA.L(a,t);
REGPQS0(c,t)             = REGPQS.L(c,t);
REGPDS0(c,t)             = REGPDS.L(c,t);
PLANDWAT0(a,t)           = PLANDWAT.L(a,t);
QLANDWAT0(a,t)           = QLANDWAT.L(a,t);
QWATA0(a,t)              = QWATA.L(a,t);
PWATA0(a,t)              = PWATA.L(a,t);
QNGO0(c,insngo,t)        = QNGO.L(c,insngo,t);
QNGOSCAL0(insngo,t)      = QNGOSCAL.L(insngo,t); 
FDI0(fcapng,t)           = FDI.L(fcapng,t);
FDISCAL0(t)              = FDISCAL.L(t);  
LABPARTRAT0(t)           = LABPARTRAT.L(t);
QLABSCAL0(t)             = QLABSCAL.L(t);
QSSEC0(c,t)              = QSSEC.L(c,t);
QSSECSCAL0(t)            = QSSECSCAL.L(t);
QFINSINIT0(ins,f,t)      = QFINSINIT.L(ins,f,t);
WFRAT0(f,fp,t)           = WFRAT.L(f,fp,t);
QFMIGR0(ins,f,fp,t)      = QFMIGR.L(ins,f,fp,t);
QFSSCAL0(f,t)            = QFSSCAL.L(f,t);

REGPQD0(c,ac,t)          = REGPQD.L(c,ac,t);
PQDREAL0(c,ac,t)         = PQDREAL.L(c,ac,t);


TCO20(a,t)               = TCO2.L(a,t);
TCO2SCAL0(t)             = TCO2SCAL.L(t);
YTAXCO20(t)              = YTAXCO2.L(t);

QXAC0(a,c,t)             = QXAC.L(a,c,t);
PXAC0(a,c,t)             = PXAC.L(a,c,t);
QDEFOR0(lndfortot,t)     = QDEFOR.L(lndfortot,t);
QLAND0(lnd,t)            = QLAND.L(lnd,t);

qeb0(c,t)                = QE.L(c,t);
qdb0(c,t)                = QD.L(c,t);

WFA0(f,a,t)              = WFA.L(f,a,t);
DTRNSFSSECGOV0(t)        = DTRNSFSSECGOV.L(t);
GAMMAC0(c,ac,t)          = GAMMAC.L(c,ac,t);
EXCAPRAT0(f,a,t)         = EXCAPRAT.L(f,a,t);
QKAS0(f,a,t)             = QKAS.L(f,a,t); 

TUSE0(c,ac,t)            = TUSE.L(c,ac,t);


* start: re-define trnsfrb so that TRNSFRSCAL is zero for trngovgov

* note: this is done to keep constant TRNSFR(insdng,insgov) when not all 
* elements in trnsfr01(insdng,insgov) are equal to 1.

trnsfrb(insdng,'gov',t) = trnsfrb(insdng,'gov',t)*(1+trnsfr01(insdng,'gov',t)*TRNSFRSCAL.L('trngovgov',t));
trnsfrb0(insdng,'gov',t) = trnsfrb(insdng,'gov',t);
TRNSFRSCAL0('trngovgov',t) = 0;

* end: re-define trnsfrb so that TRNSFRSCAL is zero for trngovgov

* start: re-define qtrstb

qtrstb(c,instrst,t) = qtrstb(c,instrst,t)*QTRSTFSCAL.L(instrst,t);
qtrstb0(c,instrst,t) = qtrstb(c,instrst,t);
QTRSTFSCAL0(instrst,t) = 1;

* end: re-define qtrstb

* start: re-define exogenous components tax rates

tyb(insdng,t) = tyb(insdng,t)*(1+ty01(insdng)*TYSCAL.L(t));
tyb0(insdng,t) = tyb(insdng,t);
TYSCAL0(t) = 0;

tmb(c,r,t) = tmb(c,r,t)*SUM(taximp$maprtimp(r,taximp), TMSCAL.L(taximp,t));
tmb0(c,r,t) = tmb(c,r,t);
TMSCAL0(taximp,t) = 1;

tfactb(f,a,t) = tfactb(f,a,t)*SUM(taxfact$mtfactf(taxfact,f), TFACTSCAL.L(taxfact,t));
tfactb0(f,a,t) = tfactb(f,a,t);
TFACTSCAL0(taxfact,t) = 1;

teb(c,r,t) = teb(c,r,t)*SUM(taxexp$maprtexp(r,taxexp), TESCAL.L(taxexp,t));
teb0(c,r,t) = teb(c,r,t);
TESCAL0(taxexp,t) = 1;

tqb(c,t) = tqb(c,t)*(1+tq01(c)*TQSCAL.L(t));
tqb0(c,t) = tqb(c,t);
TQSCAL0(t) = 0;


tab(a,t) = tab(a,t)*(1+ta01(a)*TASCAL.L(t));
tab0(a,t) = tab(a,t);
TASCAL0(t) = 0;


tfb(f,t) = tfb(f,t)*TFSCAL.L(t);
tfb0(f,t) = tfb(f,t);
TFSCAL0(t) = 1;

tvacb(c,ac,t) = tvacb(c,ac,t)*TVACSCAL.L(t);
tvacb0(c,ac,t) = tvacb(c,ac,t);
TVACSCAL0(t) = 1;

subcb(c,ac,t) = subcb(c,ac,t)*SUBCSCAL.L(t);
subcb0(c,ac,t) = subcb(c,ac,t);
SUBCSCAL0(t) = 1;


* end: re-define exogenous components tax rates



* start: re-define exogenous tfp

*tfpexog(a,t) = tfpexog(a,t)*( 1 + tfp01(a)*CALTFP.L(t) );
CALTFP0(t) = CALTFP.L(t);

* end: re-define exogenous tfp


DINVVALFF0(t) = DINVVALFF.L(t);

WLANDAGR0(lndfortot,t) = WLANDAGR.L(lndfortot,t);

DTFPREAL0(a,t)          = DTFPREAL.L(a,t);
DDKINSTFP0(ins2,fcap,t) = DDKINSTFP.L(ins2,fcap,t);

CALFPRD0(t) = CALFPRD.L(t);

DISPLAY "#### END: par-redefn-0.inc";    
